Bug 517804 - libsexy is imperialistic and requires hunspell-en
Summary: libsexy is imperialistic and requires hunspell-en
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libsexy
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-17 09:24 UTC by Mads Kiilerich
Modified: 2009-12-01 04:32 UTC (History)
1 user (show)

Fixed In Version: 0.1.11-13.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 04:32:07 UTC


Attachments (Terms of Use)

Description Mads Kiilerich 2009-08-17 09:24:40 UTC
Description of problem:

libsexy.spec has
Requires:       hunspell-en

libsexy integrates spell cheching in a very nice way, and it obviously requires some dictionary for doing that. But requiring the english dictionary is unfortunate for space-limited installations i other languages.

Perhaps it would be sufficient to require hunspell. But I don't see any references to hunspell in the source code as all dictionary access is done through enchant, so why require hunspell at all?


Version-Release number of selected component (if applicable):

libsexy-0.1.11-10.fc11.i586

Comment 1 Brian Pepple 2009-11-15 22:25:40 UTC
Yeah, I don't think that requires on a specific dictionary is necessary either.  I'm guessing it was added to ensure there was at least some dictionary available. When I get some free time later this week, I'l go ahead and drop this in Rawhide.

Comment 2 Fedora Update System 2009-11-15 23:48:38 UTC
libsexy-0.1.11-13.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libsexy-0.1.11-13.fc12

Comment 3 Fedora Update System 2009-11-18 14:08:30 UTC
libsexy-0.1.11-13.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libsexy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11652

Comment 4 Fedora Update System 2009-12-01 04:32:02 UTC
libsexy-0.1.11-13.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.